% Author: Yanting Wu

%% subplots
subplot(3,1,1);
stem(1:M,t);
title(['(M,N)=','(',num2str(M),',',num2str(N),')','    interference func = ',func2str(fc), ' Cost Ratio = ', num2str(cost_on/cost_off)]);
ylabel('Arrival Packets');
YL = ylim;
ylim([-0.1*YL(2),YL(2)]);
subplot(3,1,2);
hs=stem(1:M,[Noff', Non']); 
set(hs(2),'Marker','square','MarkerFaceColor', 'red');
YL = ylim; 
ylim([-0.1*YL(2),YL(2)]);
ylabel('Offline/Online');
legend('Offline', 'Online');
subplot(3,1,3);
stem(1:M,Noff-Non);
ylabel('Difference');